## quakeforge 0.1.1-1

=== debian/changelog ===
quakeforge (0.1.1-1) frozen unstable; urgency=medium

  * New upstream bugfix for people on Quack!
  * Fixed two nasty segfaults that could hose a box under SVGALib
  * Made UQuake statusbar behave sanely with cl_sbar 1 again
  * cl_sbar ignored properly in rogue/hipnotic--always assumed to be 1
  * default gl_clear to 1 so noclip doesn't do strange things onscreen
  * changed glClearColor to black so gl_clear 1 doesn't look like crap

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 27 Feb 2000 03:31:31 -0800

quakeforge (0.1.0-1) frozen unstable; urgency=HIGH

  * "0.0.9-1" was actually "0.1-20000103-1"
  * Fixed the sig4's in the SVGALib-using targets
  * replaced qwprogs.dat, no longer segfaults (Closes: #54152)
  * -ip will let you bind a specific IP (Closes: #14445)  (I hope)
  * quake-svga is suid root like other svgalib apps now (Closes: #47954)
  * quake-x11 restores repeat properly on normal exit (Closes: #48018)
  * If /dev/dsp can't be opened, just don't use sound (Closes: #53533)
  * The return of the wrapper scripts..  They've been rewritten a bit for
    dealing with unpacked pak files.  A new quake-lib-stub is needed if your
    pak files are not all lowercase.  (Closes: #54153, #54221, #54634)
  * svgalib targets are i386 only at the moment  =<  (Closes: #54451)
  * Built with newer libsdl  (Closes: #54488)
  * README now notes the gl_ztrick issue..  Essentially ztrick is a hack
    Id used to keep from clearing the Z buffer, it worked with older Mesa
    and with the 3dfx GL MCD.  Mesa 3+ flicker madly, so it defaults to off
    in the -gl target.  You still have to disable it by hand for the -3dfx
    target (since it's intended to be used with the 3dfx GL MCD..)  If set
    once to 0 it will be saved in that state.  (Closes: #54530)
  * If you want to start -svga and -3dfx from X, use open.  Documented this
    in the README.  (Closes: #54595)
  * Package relationships updated/fixed.  (Closes: #54747, #54868)
  * docs are now installed more sanely.  (Closes: #54749)
  * bins and data owned by games isn't going to happen  (Closes: #54742)

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 16 Jan 2000 13:26:24 -0800

quakeforge (0.0.9-1) unstable; urgency=low

  * Major new upstream version--Quake is GPL!

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  3 Jan 2000 00:09:58 -0800

quake (1.09-1.30-2pre3.2) unstable; urgency=low

  * Build with new shlibs files - the shlibs files are now NORMAL shlibs
    files, but a patch to dpkg-shlibdeps is still required.
  * quake-common package - it exists now and everything depends on it,
    though it doesn't do anything yet but depend on the quake-lib's the
    way the quake bins used to.  Will eventually do useful stuff.
  * Fully FHS compliant now!
  * (Re)wrote descriptions for the packages
  * GLQuake packages depend on quake-common, this fixes a bug that would
    let you install glquake* without installing any quake-lib*'s..

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  6 Sep 1999 14:19:53 -0700

quake (1.09-1.30-2pre3.1) unstable; urgency=low

  * Hopefully ironed out the dependencies/shlibs stuff (still uses my .
    soname patch
  * Changed the wrappers of the glquake stuff a little

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 10:54:47 -0700
 

quake (1.09-1.30-2pre3) unstable; urgency=low

  * Not released officially
  * build debs of the libs glquake bins are shipped with
  * build debs of the 3 glquake bins---all depend on the libs package FOR
    NOW (this will change) and there's no manpages for them yet, RTF
    README if you don't know the options.

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 00:42:25 -0700

quake (1.09-1.30-2) unstable; urgency=low

  * Actually compress the manpages this time

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 17 Jun 1999 01:38:37 -0700

quake (1.09-1.30-1) unstable; urgency=low

  * New upstream version - glibc2 binaries at last!
  * Since the quake binaries all came in one package, I've combined the
    squake and xquake packages.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 13 Jun 1999 23:52:01 -0700

squake (1.09-1.1-15) unstable; urgency=low

  * Adopted the package - Must Have Quake!

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 28 May 1999 06:32:41 -0700

squake (1.09-1.1-14) unstable; urgency=low

  * Orphaned the package, I don't maintain non-free things anymore.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 15:00:22 -0800

squake (1.09-1.1-13) frozen unstable; urgency=low

  * Updated the copyright file with info from a very old mail from ID
    software in which they told me that repackaging it as a deb is not a
    deriviative work.
  * Updated the copyright file to include all of slicense.txt, instead of
    referencing it.
  * No code changes, and I think the copyright fixups are important enough
    to put it in to frozen.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Dec 1998 15:34:16 -0800

squake (1.09-1.1-12) unstable; urgency=low

  * The wrapper can now handle uppercase .PAK files (#28781).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 31 Oct 1998 21:06:48 -0800

squake (1.09-1.1-11) unstable; urgency=low

  * Modified wrapper so it will add /usr/games to the end of PATH, and run
    squake.real (w/o full filename). This is mainly to support some things
    aa quake will need to do.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Sep 1998 16:58:08 -0700

squake (1.09-1.1-10) unstable; urgency=low

  * Fixed the wrapper so it runs squake.real properly even if /usr/games
    isn't in the user's PATH.
  * Added a note to the README.Debian about the common squake is suid root,
    but mouse doesn't work problem.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 19 Aug 1998 22:39:23 -0700

squake (1.09-1.1-9) unstable; urgency=low

  * Removed icon=none from menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:24:19 -0700

squake (1.09-1.1-8) unstable; urgency=low


