=== debian/control ===
Source: quakeforge
Section: contrib/games
Priority: optional
Maintainer: Joseph Carter <knghtbrd@debian.org>
Standards-Version: 3.0.1

Package: quake-svga
Architecture: i386
Depends: ${shlibs:Depends}, quake-game
Replaces: squake, quake-common
Provides: quake
Description: First person shooting game - SVGALib version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible
 with the original game released by ID Software while allowing optional
 extensions which enhance the game.
 .
 This package contains the SVGALib versions of uquake and qw-client.

Package: quake-x11
Architecture: any
Replaces: xquake, quake-common
Depends: ${shlibs:Depends}, quake-game
Provides: quake
Description: First person shooting game - X11 version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains the X11 versions of uquake and qw-client.

Package: quake-ggi
Architecture: any
Depends: ${shlibs:Depends}, quake-game
Provides: quake
Description: First person shooting game - GGI version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains the GGI versions of uquake and qw-client.

Package: quake-gl
Architecture: any
Depends: ${shlibs:Depends}, quake-game
Provides: quake
Replaces: glquake-glx, quake-common
Description: First person shooting game - GL version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains the GL versions of uquake and qw-client.

Package: quake-3dfx
Architecture: any
Depends: ${shlibs:Depends}, mesag3-glide2 (>= 3.1-1), libglide2, quake-game
Provides: quake
Replaces: glquake-3dfxgl, quake-common
Description: First person shooting game - 3dfx GL version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains the 3dfx GL versions of uquake and qw-client.

Package: quake-sdl
Architecture: any
Depends: ${shlibs:Depends}, quake-game
Provides: quake
Description: First person shooting game - SDL version
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains the SDL versions of uquake and qw-client.

Package: quake-server
Architecture: any
Depends: ${shlibs:Depends}, quake-game
Provides: quake
Description: First person shooting game - dedicated server
 QuakeForge is a source port of Quake, the successor to Id Software's very
 popular DOOM series.  Its primary development goal is to remain compatible      with the original game released by ID Software while allowing optional 
 extensions which enhance the game.
 .
 This package contains QuakeForge's QuakeWorld-compatible server.
