=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 1997 Joey Hess
# Copyright (C) 2000 Joseph Carter
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

export DH_COMPAT=2
export DH_OPTIONS

PWD=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
                    --bindir=/usr/games --enable-release \
		    --with-3dfxgl-name=GL --enable-newstyle
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(PWD)/debian/tmp

	for i in debian/tmp/usr/games/*; do \
		mv $$i $$i.real ;\
		install -m 755 debian/wrapper $$i ;\
	done
	
	dh_movefiles
	
	install -m 644 gamedata/quakeworld/qwprogs.dat \
	               debian/quake-server/usr/share/games/quake/qw


binary-indep: DH_OPTIONS=-i
binary-indep: build install
# Nothing to do here

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testversion 2
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# need to make -svga and -3dfx bins suid for svgalib
	chmod 4755 debian/quake-svga/usr/games/quake-svga.real
	chmod 4755 debian/quake-svga/usr/games/qw-client-svga.real
	chmod 4755 debian/quake-3dfx/usr/games/quake-3dfx.real
	chmod 4755 debian/quake-3dfx/usr/games/qw-client-3dfx.real
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
